# CRAN Packages
required.pack <- c('KernSmooth','gplots', 'ggtern', 'maxstat', 'ggdendro', 
                   'forestplot', 'LSD', 'beeswarm', 'VennDiagram', 'doMC', 
                   'foreach', 'corrplot', 'survival', 'R.utils', 'Hmisc',
                   'devtools', 'ggfortify', 'gridExtra')
for (pack in required.pack) {
  if (!(pack %in% rownames(installed.packages()))) {
    install.packages(pack)
  }
}
# BioConductor packages
source("https://bioconductor.org/biocLite.R")
required.pack.bioC <- c('vsn','genefilter')
for (pack in required.pack.bioC) {
  if (!(pack %in% rownames(installed.packages()))) {
    biocLite(pack)
  }
}
#
# github
devtools::install_github('averissimo/verissimo-rpackage')
devtools::install_github('averissimo/rpackage-glmnet')
devtools::install_github('zatonovo/futile.logger')
if (!('brca.data' %in% rownames(installed.packages()))) {
  devtools::install_url('http://sels.tecnico.pt/gitlab/averissimo/rpackage-brca/repository/archive.tar.bz2')
}


suppressPackageStartupMessages({
  library(brca.data)
  library(Hmisc)
  library(futile.logger)
  library(digest)
  library(survival)
  library(glmnet)
  library(reshape2)
  library(ggplot2)
  library(dplyr)
  library(verissimo)
  library(gridExtra)
})
do.nothing <- flog.appender(appender.tee('logger.txt'))

suppressPackageStartupMessages({
  library(doMC) # parallel computing
  library(foreach)
  library(parallel)
})

do.nothing <- flog.layout(layout.simple.parallel)
rm(do.nothing)
