
# load("~/work/brca-analysis/co-expression-matrix.RData")

resultm <- abs(resultm)
len <- 70465571
if (nrow(resultm)^2 %% 44 == 0) {
  lapply( 1:44, function(e) {
    vec <- 1:len + (e-1) * len
    resultm[vec][resultm[vec] < 0.32] <- 0
    return(NULL)
  })
} else {
  fatal('caca')
}

degree <- 1 / (colSums(resultm) + rowSums(resultm))

degree <- degree / max(degree)

degree[is.na(degree) || is.nan(degree) || is.infinite(degree)] <- 0

save(degree, file = 'degree-vector-0.2.RData')




cutoff.v <- 0.2:0.6
cache.name <- 'co-expression-matrix'
library(futile.logger)
sapply( cutoff.v, function(cutoff) {
  # pre-allocate matrix (It's huge!)
  resultm <- matrix(0, nrow = xdata.rows, ncol = xdata.rows)
  # this step also needs a lot of space in memory
  sapply(1:(length(vector.par)-1), function(ix){
    count.problems <- 0
    load(file.path(cache.name, paste0('mcapply_', ix,'.RData')))
    for (ix.partition in seq(temp.result)) {
      if (is.vector(temp.result[[ix.partition]])) {
        ix.i <- xdata.rows - length(temp.result[[ix.partition]])
        ix.j <- ix.i + seq(temp.result[[ix.partition]])
        row <- temp.result[[ix.partition]]
        row[abs(row) < cutoff] <- 0 # reset below 35
        resultm[ix.i, ix.j] <- row
      } else {
        count.problems <- count.problems + 1
        flog.info('problem in ix: %d, ix.partition: %d', ix, ix.partition)
      }
    }
    flog.info('ix: %d!!', ix)
    rm(temp.result)
    gc(reset = T)
    count.problems
  })
  output.file <- paste0('co-expression-matrix-', cutoff, '.RData')
  save(resultm, file = output.file)
  rm(resultm)
  gc(reset = T)
  gc()
})
