Untitled
================

Load libraries
==============

This library was obtained from Wolfgang Huber in CSAMA 2016

``` r
if (!exists('libraries.loaded') || !libraries.loaded) {
  source(file.path('functions', 'common-libraries.R'))
  load(file.path('data', 'analysis.RData'))
  load(file.path('data', 'interesting.genes.RData'))
  libraries.loaded <- T
}
registerDoMC(cores=14)
```

Regularization
==============

Alpha parameter can be \[0,1\], where 0 is the same as Ridge and 1 Lasso. Anything in the middle is a weighted regularization between L1 and L2 norm.

Without Network Information
---------------------------

Using a sparse LASSO regularization with Cox proportional hazards model. When using the glmnet package, alpha should be 1.

Run the model.

``` r
source(file.path('functions', 'calcRegularizers.R'))
var.num.list  <- c(32)
test.with.all <- T
reg.map       <- list(l1 = 1, l2 = 0, l1.l2 = .5, l1.l2.3 = .3, l1.l2.7 = .7)
my.penalty    <- NULL
#
#
vars.ix <-list()
vars.ix$all <- seq(ncol(xdata.train))
if (exists('interesting.genes')) {
  # don't do it for all!
  vars.ix <-list()
  for (my.name in names(interesting.genes)) {
    vars.ix[[my.name]] <- interesting.genes[[my.name]]
  }
}
#
for (my.name in names(vars.ix)) {
  flog.info('Doing it for %s', my.name)
  res <- calcRegularizers(var.num.list, reg.map, 
                        xdata.train[,vars.ix[[my.name]]], ydata.train, 
                        xdata.test[,vars.ix[[my.name]]], ydata.test,
                        foldid, test.with.all, 
                        penalty = my.penalty)
}
```

    ## INFO [2016-12-20 19:05:33 15463] Doing it for l1
    ## INFO [2016-12-20 19:05:33 15463] Calculating for 32 variables
    ## INFO [2016-12-20 19:05:33 15463] Could not find l1, going to generate it
    ## INFO [2016-12-20 19:05:33 15463] Calculate regularization for l1 with target 32 variables.
    ## INFO [2016-12-20 19:05:33 15463]   alpha = 1.000 | xdata.train size 889x32 | xdata.test 158x32
    ## INFO [2016-12-20 19:05:33 15463]   test with all: TRUE
    ## INFO [2016-12-20 19:05:44 15463] Could not find l2, going to generate it
    ## INFO [2016-12-20 19:05:44 15463] Calculate regularization for l2 with target 32 variables.
    ## INFO [2016-12-20 19:05:44 15463]   alpha = 0.000 | xdata.train size 889x32 | xdata.test 158x32
    ## INFO [2016-12-20 19:05:44 15463]   test with all: TRUE
    ## INFO [2016-12-20 19:05:45 15463] Could not find l1.l2, going to generate it
    ## INFO [2016-12-20 19:05:45 15463] Calculate regularization for l1.l2 with target 32 variables.
    ## INFO [2016-12-20 19:05:45 15463]   alpha = 0.500 | xdata.train size 889x32 | xdata.test 158x32
    ## INFO [2016-12-20 19:05:45 15463]   test with all: TRUE
    ## INFO [2016-12-20 19:05:46 15463] Could not find l1.l2.3, going to generate it
    ## INFO [2016-12-20 19:05:46 15463] Calculate regularization for l1.l2.3 with target 32 variables.
    ## INFO [2016-12-20 19:05:46 15463]   alpha = 0.300 | xdata.train size 889x32 | xdata.test 158x32
    ## INFO [2016-12-20 19:05:46 15463]   test with all: TRUE
    ## INFO [2016-12-20 19:05:47 15463] Could not find l1.l2.7, going to generate it
    ## INFO [2016-12-20 19:05:47 15463] Calculate regularization for l1.l2.7 with target 32 variables.
    ## INFO [2016-12-20 19:05:47 15463]   alpha = 0.700 | xdata.train size 889x32 | xdata.test 158x32
    ## INFO [2016-12-20 19:05:47 15463]   test with all: TRUE

### Show Plot

``` r
#
# Combine results in grid
library("gridExtra")
```

    ## 
    ## Attaching package: 'gridExtra'

    ## The following object is masked from 'package:dplyr':
    ## 
    ##     combine

    ## The following object is masked from 'package:Hmisc':
    ## 
    ##     combine

``` r
plot.list <- lapply(names(res), function(name) {
  gs <- lapply(res[[name]], function(el) {
    el$km$plot
  })
  gs <- Filter(Negate(is.null), gs)
  grid.arrange(grobs = gs)
})
```

![](regularization_files/figure-markdown_github/unnamed-chunk-2-1.png)![](regularization_files/figure-markdown_github/unnamed-chunk-2-2.png)![](regularization_files/figure-markdown_github/unnamed-chunk-2-3.png)![](regularization_files/figure-markdown_github/unnamed-chunk-2-4.png)![](regularization_files/figure-markdown_github/unnamed-chunk-2-5.png)

``` r
#
```

Regularization with network information
---------------------------------------

Copy from above
