if (!exists('libraries.loaded') || !libraries.loaded) {
  source(file.path('functions', 'common-libraries.R'))
  load(file.path('data', 'analysis.RData'))
  libraries.loaded <- T
}

registerDoMC(cores=4)
source('functions/extract_data.R')
#
source(file.path('functions','consensus.R'))

for (ix in 1:100) {
  # run it many times
  ntimes <- 10
  # regularization to test
  reg.names <- list(
    l1           = list(alpha = 1.0, my.penalty = NULL),
    l1.degree    = list(alpha = 1.0, my.penalty = degree),
    l1.l2        = list(alpha = 0.5, my.penalty = NULL),
    l1.l2.degree = list(alpha = 0.5, my.penalty = degree)
    #l1.l2.7      = list(alpha = 0.7, my.penalty = NULL),
    #l1.l2.3      = list(alpha = 0.3, my.penalty = NULL)
  )
  #
  #xdata.2 <- xdata[1:10,]
  #
  is.parallel <- T # if this is F, then mc.cores can be more than 1
  all.results <- runMultipleTimes(ntimes, reg.names, xdata, ydata, event.ix, censo.ix,
                                  training.perc = training.set, nfolds = nfolds,
                                  mc.cores = 3, var.num = 30)
  
  save.image(file = paste0('data/all.results-', ix,'.RData'))
}